List MCP Server Connections
curl --request GET \
--url https://api.portkey.ai/v1/mcp-servers/{mcpServerId}/connections \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/mcp-servers/{mcpServerId}/connections"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/mcp-servers/{mcpServerId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected": true,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"has_more": true
}List MCP Server Connections
GET
/
mcp-servers
/
{mcpServerId}
/
connections
List MCP Server Connections
Authorizations
Path Parameters
MCP Server ID (UUID) or slug
Query Parameters
Optional. UUID of the user whose connections to list. If not provided, defaults to the current user for user API keys, and returns all connections on the MCP server for service API keys.
Workspace ID or slug. Required when using org admin API key; optional when API key is workspace-scoped.
Required range:
x >= 0Required range:
1 <= x <= 500Last modified on April 13, 2026
Was this page helpful?
⌘I

